Docs Rizler

V2 General

V2 Update Welcome Message

PATCHhttps://app.rizzdial.com/api/ai/agent/v2/welcome-message/{agent_id}
V2 Update Welcome Message
curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v2/welcome-message/agent_123 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "delay": 0,
  "llmbeginmsg": "silent_YES",
  "llmbeginmsgVal": "value",
  "talkFirstDelay": 0,
  "talk_first_delay": 0
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

V2 Update Welcome Message#

Update Welcome Message / talkFirst setting for an AI agent. V2 agents only.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

llmbeginmsgstringbodyrequired

One of: silent_YES, silent_NO, Custom

llmbeginmsgValstringbody

may be null

delaynumberbody

One of: 0. min 0. max 10. may be null

talk_first_delaynumberbody

One of: 0. min 0. max 10. may be null

talkFirstDelaynumberbody

One of: 0. min 0. max 10. may be null

curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v2/welcome-message/agent_123 \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"llmbeginmsg":"silent_YES","llmbeginmsgVal":"value","delay":"0","talk_first_delay":"0","talkFirstDelay":"0"}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records